import { BitArray } from "./BitArray";
import { BitMatrix } from "./BitMatrix";
import FindMaximumSubarray from "./FindMaximumSubarray";
import { HashTable } from "./HashTable";
import { LinkedList } from "./LinkedList";
import { ObjectArray } from "./ObjectArray";
import { Queue } from "./Queue";
import { RadixTree } from "./RadixTree";
import { RadixTreeNode } from "./RadixTreeNode";
import { Stack } from "./Stack";
import { Trie } from "./Trie";
import { TrieWithValue } from "./TrieWithValue";
import { TypedQueue } from "./TypedQueue";
import { TypedStack } from "./TypedStack";
import { Utils } from "./Utils";
import binarySum from "./binarySum";
import linearSearch from "./linearSearch";
declare const tad: {
    BitArray: typeof BitArray;
    BitMatrix: typeof BitMatrix;
    FindMaximumSubarray: typeof FindMaximumSubarray;
    HashTable: typeof HashTable;
    LinkedList: typeof LinkedList;
    ObjectArray: typeof ObjectArray;
    Queue: typeof Queue;
    RadixTree: typeof RadixTree;
    RadixTreeNode: typeof RadixTreeNode;
    Stack: typeof Stack;
    Trie: typeof Trie;
    TrieWithValue: typeof TrieWithValue;
    TypedQueue: typeof TypedQueue;
    TypedStack: typeof TypedStack;
    Utils: typeof Utils;
    binarySum: typeof binarySum;
    linearSearch: typeof linearSearch;
    BinaryTree: {
        BinaryTree: typeof import("./BinaryTree/BinaryTree").BinaryTree;
        BinaryTreeNode: typeof import("./BinaryTree/BinaryTreeNode").BinaryTreeNode;
        RedBlackTree: typeof import("./BinaryTree/RedBlackTree").default;
        RedBlackTreeNode: typeof import("./BinaryTree/RedBlackTreeNode").default;
    };
    functions: {
        diophantineEquation: typeof import("./functions/diophantineEquation").diophantineEquation;
        diophantineEquationSolver: typeof import("./functions/diophantineEquationSolver").diophantineEquationSolver;
        extendedEuclidesAlgorithm: typeof import("./functions/extendedEuclidesAlgorithm").extendedEuclidesAlgorithm;
        greatestCommonDivisor: typeof import("./functions/greatestCommonDivisor").greatestCommonDivisor;
        leastCommonMultiple: typeof import("./functions/leastCommonMultiple").leastCommonMultiple;
    };
    Graph: {
        DirectedAdjacencyMatrixGraph: typeof import("./Graph/DirectedAdjacencyMatrixGraph").DirectedAdjacencyMatrixGraph;
    };
    Sort: {
        bubbleSort: typeof import("./Sort/bubbleSort").default;
        gnomeSort: typeof import("./Sort/gnomeSort").default;
        insertionSort: typeof import("./Sort/insertionSort").default;
        mergeSort: typeof import("./Sort/mergeSort").default;
        quickSort: typeof import("./Sort/quickSort").default;
        selectionSort: typeof import("./Sort/selectionSort").default;
    };
};
export default tad;
